package p2.application.tgroupusers;

import baseclass.PaoCust;
import p2.pao.PaoSet;
import p2.util.P2Exception;
import p2.application.tusergroup.tusergroup;

public class tgroupusers extends PaoCust {
    public tgroupusers(PaoSet arg0) {
        super(arg0);
    }

    @Override
    public void init() throws P2Exception {
        super.init();
    }

    @Override
    public void add() throws P2Exception {
        super.add();
        if (getOwner() instanceof tusergroup) {
            setValue("siteid", getOwner().getString("siteid"), 11L);
            setValue("tusergroupid", getOwner().getUniqueIDValue(), 11L);
        }
    }
}
